% means should be of the form [m1 ... mp] is of size dxp
% sigmas [sigma_1;...; sigma_p]  is of size px1
% n number of points per class
function [X, Y] = MixGauss(means, sigmas, n)

d = size(means,1)
p = size(means,2)

X = [];
Y = [];
for i = 1:p
    m = means(:,i);
    S = sigmas(i);
    Xi = zeros(n,d);
    Yi = zeros(n,1);
    for j = 1:n
        x = S*randn(d,1) + m;
        Xi(j,:) = x;
        Yi(j) = i;
    end
    X = [X; Xi];
    Y = [Y; Yi];
end

        
